Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet
Class XMLet

    org.huihoo.jfox.xmlet.XMLet

All Implemented Interfaces:
  XMLetMBean

public class XMLet
implements XMLetMBean

Author:
  Young Yang

Field Summary
`protected org.huihoo.jfox.jmx.loading.PrimitiveClassLoader` | `paramLoader`
`protected javax.management.MBeanServer` | `server`

Constructor Summary
`XMLet()`
`XMLet(java.net.URL[] urls)`
`XMLet(java.net.URL[] urls, java.lang.ClassLoader parent)`
`XMLet(java.net.URL[] urls, java.lang.ClassLoader parent, java.net.URLStreamHandlerFactory factory)`

Method Summary
`void` | `addURL(java.lang.String url)`
`void` | `addURL(java.net.URL url)`
`protected javax.management.ObjectInstance` | `createMBean(XMLetType mlet)` doCreate a MBean by the offered mlet
`java.lang.String` | `getLibraryDirectory()`
`java.util.Set` | `getMBeansFromURL(java.lang.String url)`
`java.util.Set` | `getMBeansFromURL(java.net.URL url)`
`java.lang.Class` | `loadClass(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean success)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName objName)`
`void` | `setLibraryDirectory(java.lang.String dir)`

Field Detail

### server

    protected javax.management.MBeanServer server

### paramLoader

    protected org.huihoo.jfox.jmx.loading.PrimitiveClassLoader paramLoader

Constructor Detail

### XMLet

    public XMLet()

### XMLet

    public XMLet(java.net.URL[] urls)

### XMLet

    public XMLet(java.net.URL[] urls,
                 java.lang.ClassLoader parent)

### XMLet

    public XMLet(java.net.URL[] urls,
                 java.lang.ClassLoader parent,
                 java.net.URLStreamHandlerFactory factory)

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName objName)
                                            throws java.lang.Exception

### postRegister

    public void postRegister(java.lang.Boolean success)

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

### postDeregister

    public void postDeregister()

### getMBeansFromURL

    public java.util.Set getMBeansFromURL(java.net.URL url)
                                   throws javax.management.ServiceNotFoundException

### getMBeansFromURL

    public java.util.Set getMBeansFromURL(java.lang.String url)
                                   throws javax.management.ServiceNotFoundException

### addURL

    public void addURL(java.net.URL url)

### addURL

    public void addURL(java.lang.String url)
                throws javax.management.ServiceNotFoundException

### getLibraryDirectory

    public java.lang.String getLibraryDirectory()

### setLibraryDirectory

    public void setLibraryDirectory(java.lang.String dir)

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

### createMBean

    protected javax.management.ObjectInstance createMBean(XMLetType mlet)

  doCreate a MBean by the offered mlet
  Parameters:
    `mlet` -
  Returns:
    ObjectInstance of the created MBean

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD